local addonName, addon = ...
local childName = addon['childName']
local child = addon[childName]
local modName = "noduel"
local events = {}
local db
function events:DUEL_REQUESTED(_, event)
    StaticPopup_Hide(event)
    CancelDuel()
end
local init = {
    Setup = function(self)
        db = child['db']
        if(db[modName]) then
            child:RegisterEvent(events)
        end
        child:AddCE(modName)
    end
}
addon.RegisterCallback(init, format('Init%s', childName), 'Setup')